org.apache.lucene.bkdtree

## Class BKDPointInPolygonQuery

- java.lang.Object
- - org.apache.lucene.search.Query
  - - org.apache.lucene.bkdtree.BKDPointInPolygonQuery

- All Implemented Interfaces:
    Cloneable

  Deprecated.
  Use dimensional values in Lucene 6.0 instead

      @Deprecated
      public class BKDPointInPolygonQuery
      extends Query

  Finds all previously indexed points that fall within the specified polygon.

  The field must be indexed with `BKDTreeDocValuesFormat`, and `BKDPointField` added per document.

  Because this implementation cannot intersect each cell with the polygon, it will be costly especially for large polygons, as every possible point must be checked.

  NOTE: for fastest performance, this allocates FixedBitSet(maxDoc) for each segment. The score of each hit is the query boost.

  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BKDPointInPolygonQuery(String field, double[] polyLats, double[] polyLons)` Deprecated. The lats/lons must be clockwise or counter-clockwise.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Weight` | `createWeight(IndexSearcher searcher, boolean needsScores)` Deprecated.
    `boolean` | `equals(Object o)` Deprecated.
    `int` | `hashCode()` Deprecated.
    `String` | `toString(String field)` Deprecated.

    - ### Methods inherited from class org.apache.lucene.search.Query

      `clone, getBoost, rewrite, setBoost, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BKDPointInPolygonQuery

          public BKDPointInPolygonQuery(String field,
                                double[] polyLats,
                                double[] polyLons)

      Deprecated.
      The lats/lons must be clockwise or counter-clockwise.

  - ### Method Detail

    - #### createWeight

          public Weight createWeight(IndexSearcher searcher,
                            boolean needsScores)
                              throws IOException

      Deprecated.
      Overrides:
        `createWeight` in class `Query`
      Throws:
        `IOException`

    - #### equals

          public boolean equals(Object o)

      Deprecated.
      Overrides:
        `equals` in class `Query`

    - #### hashCode

          public final int hashCode()

      Deprecated.
      Overrides:
        `hashCode` in class `Query`

    - #### toString

          public String toString(String field)

      Deprecated.
      Specified by:
        `toString` in class `Query`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.